{% extends "Alumnos/CampusParientes/index_cursos.html" %}
{% load i18n admin_static admin_list %}

{% block extrastyle1 %}
    <style type="text/css">
    .reduce-col-number { width: 10px; }
    .reduce-col-photo { width: 65px; }
    </style>
    <script src="{% static 'custom/bootstrap/js/bootstrap.min.js' %}"></script>
{% endblock %}

{% block breadcrumbs %}
                <ul class="breadcrumb">
                    <li><a href="/padres/profile/">Home</a> <span class="divider">/</span></li>
                    <li><a href="/hijos/profile/{{ estudiante.id }}/?q=l">{{ estudiante}}</a><span class="divider">/</span></li>
                    <li class="active">{% trans 'Asistencias' %}</li>

                </ul>
{% endblock %}

{% block content-main %}
 <div class="span12 well">
            <ul class="nav nav-list">
            <h3>{% trans 'Horario' %}: {{ estudiante.Nombres }} {{ estudiante.ApellidoPaterno }} {{ estudiante.ApellidoMaterno }} </h3>
                {% for r in horarios %}
                {{ r.Dia }}, {{ r.HoraInicio }} - {{ r.HoraFin }} {{ r.Seccion }}<br>
                {% endfor %} 
            </ul>                   
</div> 

<div class="row-fluid">
    <div class="well well2">
        <h3>{% trans 'Asistencias al Curso' %}: {{ curso.Curso.Nombre }}</h3>

        {% if asistencias %}
        <table class="table table-striped table-bordered table-condensed">
            <thead>
            <tr>
            <TH>{% trans 'Nº' %}</TH>
            <TH>{% trans 'Fecha' %}</TH>
            <TH>{% trans 'Día' %}</TH>
            <TH>{% trans 'Inicio' %}</TH>
            <TH>{% trans 'Fin' %}</TH>
            <TH>{% trans 'Aula' %}</TH>
            <TH>{% trans 'Estado' %}</TH>
            </tr>
            </thead>
            <tbody>
               {% for asistencia in asistencias %}
                    <TR>
                    <TD>{{ forloop.counter }}</TD>
                    <TD>{{ asistencia.Fecha|escape }}</TD>
                    <TD>{{ asistencia.Horario.Dia|escape }}</TD>
                    <TD>{{ asistencia.Horario.HoraInicio|escape }}</TD>
                    <TD>{{ asistencia.Horario.HoraFin|escape }}</TD>
                    <TD>{{ asistencia.Horario.Seccion|escape }}</TD>
                    <TD>{{ asistencia.Estado|escape }}</TD>
                    </TR>
               {% endfor%}
            </tbody>
        </table>
        <div class="span12">
            <div class="row">
                <div class="span4 well" style="text-align:center;"><h3>{% trans 'Asistencias' %}</h3><h2>{{ asistio|escape }} - {% if matriculado %}({{ matriculado.PorcentajeAsistencias }}%){% else %}(0 %){% endif %}</h2></div>
                <div class="span4 well" style="text-align:center;"><h3>{% trans 'Faltas' %}</h3><h2>{{ falto|escape }} - {% if matriculado %}({{ matriculado.PorcentajeFaltas }}%){% else %}(0 %){% endif %}</h2></div>
                <div class="span4 well" style="text-align:center;"><h3>{% trans 'Tardanzas' %}</h3><h2>{{ tardanza|escape }} - ({{ tarde|escape }}%)</h2></div>
            </div>
        </div>
        <p align="right">
            <a class="btn btn-success" href="/hijos/profile/{{ estudiante.id }}/?q=l"></i><strong>Volver Atrás</strong></a></p> 

     {% else %}
        <p/>
        <div class="alert">
            <i class="icon-warning-sign"></i><strong> Mensaje: </strong> {% trans 'No se encontraron coincidencias.' %}
        </div>
     {% endif %}
    </div>    
</div>
{% endblock %}
